unit AlteracaoParcela;

interface

uses
  Windows, system.UItypes, IB_Access, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TelaComum, ImgList, ExtCtrls, StdCtrls, Buttons, IB_Controls,
  Mask, cxGraphics, cxLookAndFeels, cxLookAndFeelPainters, Menus, IB_EditButton,
  System.ImageList;

type
  TfrmAlteracaoParcela = class(TfrmTelaComum)
    edtValor: TIB_Currency;
    edtData: TIB_Date;
    edtCodBarra: TLabeledEdit;
    procedure BtGravarClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAlteracaoParcela: TfrmAlteracaoParcela;

implementation

uses LancamentoParcelas;

{$R *.dfm}

procedure TfrmAlteracaoParcela.BtGravarClick(Sender: TObject);
begin
  inherited;
   frmLancamentoParcelas.cdsParcelas.Edit;
   frmLancamentoParcelas.cdsParcelas.FieldByName('COD_BARRA').Value := edtCodBarra.Text;
   frmLancamentoParcelas.cdsParcelas.FieldByName('DATA_VENC').Value := edtData.Value;
   frmLancamentoParcelas.cdsParcelas.FieldByName('VALOR').Value     := edtValor.Value;
   frmLancamentoParcelas.cdsParcelas.post;
end;

end.
